// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import entity "movies-services/entity"
import gorm "github.com/jinzhu/gorm"
import mock "github.com/stretchr/testify/mock"

// LogRepoContract is an autogenerated mock type for the LogRepoContract type
type LogRepoContract struct {
	mock.Mock
}

// InsertLog provides a mock function with given fields: _a0, _a1
func (_m *LogRepoContract) InsertLog(_a0 *gorm.DB, _a1 entity.Logging) {
	_m.Called(_a0, _a1)
}
